<template>
<div>
  <button @click="isRevealCardsClicked = true">
   Reveal Cards
  </button>

  <template v-if="isRevealCardsClicked == true">
    <ModalComponent
    v-if="team && role"
    @close-modal="isRevealCardsClicked = false"
  >
    <h1>{{ name }}</h1>
    <p>
      {{ role }} ({{ team }} team)
    </p>
    <img :src="src">
  </ModalComponent>
  </template>

</div>
</template>

<script setup>
import { defineProps, ref } from 'vue';
import ModalComponent from './ModalComponent.vue'

defineProps({
  name: {
    type: String,
    default: 'No name'
  },
  role: {
    type: String,
    default: null,
  },
  team: { // Either 'blue' or 'red'
    type: String,
    default: null,
  },
  src: {
    type: String,
    default: null,
  }
})

const isRevealCardsClicked = ref(false)
</script>
